# Class DriverNameParameter

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent
org.a11y.brlapi.Parameter
org.a11y.brlapi.GlobalParameter
org.a11y.brlapi.parameters.DriverNameParameter

public class DriverNameParameter extends GlobalParameter

## Nested Class Summary

### Nested classes/interfaces inherited from class Parameter

`Parameter.BooleanSettable, Parameter.ByteSettable, Parameter.IntSettable, Parameter.LongSettable, Parameter.Settable, Parameter.ShortSettable, Parameter.StringSettable, Parameter.WatcherHandle`

## Field Summary

### Fields inherited from class ParameterComponent

`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`DriverNameParameter(ConnectionBase connection)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`get()`
`final int`
`getParameter()`

### Methods inherited from class GlobalParameter

`isGlobal`

### Methods inherited from class Parameter

`get, getLabel, getName, getParseDescription, getValue, getValue, isHidable, isSettable, set, set, setValue, toString, toString, watch, watch`

### Methods inherited from class ParameterComponent

`asBitMask, asBoolean, asBooleanArray, asByte, asByteArray, asDisplaySize, asDots, asDots, asInt, asIntArray, asLong, asLongArray, asRowCells, asShort, asShortArray, asString, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DriverNameParameter

public DriverNameParameter(ConnectionBase connection)

## Method Details

### getParameter

public final int getParameter()

Specified by:
  `getParameter` in class `Parameter`

### get

public final String get()

Overrides:
  `get` in class `Parameter`